      SUBROUTINE QSUJUN 
     I                  (MESSFL,SCLU,NUMJUN,
     M                   JUNNAM,IRET)
C
C     + + + PURPOSE + + +
C     set up junction data
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER     MESSFL,SCLU,NUMJUN,IRET
      CHARACTER*1 JUNNAM(16,NUMJUN)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number for message file
C     SCLU   - cluster number on message file
C     NUMJUN - number of junctions
C     JUNNAM - array of junction names
C     IRET   - user's exit command from full screen
C
C     + + + LOCAL VARIABLES + + +
C-DWD
C-DWD ##### Begin change ############################
C-DWD Date: Monday, 28 October 1991.  Time: 07:41:15.
C-DWD -----------------------------------------------
C-DWD Modified parameter values to match QUAL2E MAIN.VAR file.
C-DWD
      INTEGER     I,I1,SGRP,JUST,RNUM,CNUM,TLEN,IVAL(1,19),CVAL(1,3,19)
      REAL        RVAL(1,19)
      DOUBLE PRECISION DVAL(1,19)
      CHARACTER*1 SCHRBF(22,19),BLNK
C      INTEGER     I,I1,SGRP,JUST,RNUM,CNUM,TLEN,IVAL(1,9),CVAL(1,3,9)
C      REAL        RVAL(1,9)
C      DOUBLE PRECISION DVAL(1,9)
C      CHARACTER*1 SCHRBF(22,9),BLNK
C-DWD
C-DWD ##### Begin change ############################
C
C     + + + EXTERNALS + + +
      EXTERNAL    DECCHR, CHRCHR, QRESCZ, ZIPC, ZGTRET
C
C     + + + END SPECIFICATIONS + + +
C
      I1  = 1
      JUST= 0
      BLNK= ' '
C
C     init buffer
      TLEN= 22* NUMJUN
      CALL ZIPC (TLEN,BLNK,SCHRBF)
C     fill in current junction order numbers and names in buffer
      DO 162 I= 1,NUMJUN
        RVAL(1,I)= I
        TLEN= 16
        CALL CHRCHR(TLEN,JUNNAM(1,I),SCHRBF(7,I))
162   CONTINUE
      TLEN= 22
      RNUM= 1
      CNUM= 1
      SGRP= 12
      CALL QRESCZ (MESSFL,SCLU,SGRP,I1,RNUM,CNUM,I1,NUMJUN,I1,TLEN,
     M             IVAL,RVAL,DVAL,CVAL,SCHRBF)
      TLEN= 16
      DO 165 I= 1,NUMJUN
        CALL CHRCHR(TLEN,SCHRBF(7,I),JUNNAM(1,I))
165   CONTINUE
C     get user exit command
      CALL ZGTRET(IRET) 
C
      RETURN
      END
